
-- Preparando a base - 1m10s se no preparada na demo 5
ALTER DATABASE AdventureWorks2012 SET RECOVERY FULL
GO
BACKUP DATABASE AdventureWorks2012 TO DISK = 'd:\backup.bak' WITH COMPRESSION
GO

-- encolhendo o TLog
BACKUP LOG AdventureWorks2012 TO DISK = 'bkplog.trn'
DBCC LOGINFO(AdventureWorks2012)

USE AdventureWorks2012
GO
DBCC SHRINKFILE (AdventureWorks2012_Log,1)
GO
DBCC LOGINFO(AdventureWorks2012)


-- Ajustando o tamanho do TLog
USE AdventureWorks2012
GO
DBCC SHRINKFILE (AdventureWorks2012_Log,1)
GO
DBCC LOGINFO(AdventureWorks2012)

ALTER DATABASE AdventureWorks2012 MODIFY FILE
(NAME = AdventureWorks2012_Log, SIZE = 4MB)
DBCC LOGINFO(AdventureWorks2012)



--...em outra sesso:
BACKUP DATABASE AdventureWorks2012 TO DISK = 'd:\backup.bak'

-- ...em mais outra sesso
USE AdventureWorks2012
GO
WHILE 1=1
BEGIN
INSERT INTO dbo.pessoa
VALUES ('bbbbbbbbbbbbbbbbbbbb', 'bbbbbbbbbbbbbbb'), 
('bbbbbbbbbbbbbbbbbbbb', 'bbbbbbbbbbbbbbb'),
('bbbbbbbbbbbbbbbbbbbb', 'bbbbbbbbbbbbbbb'),
('bbbbbbbbbbbbbbbbbbbb', 'bbbbbbbbbbbbbbb'),
('bbbbbbbbbbbbbbbbbbbb', 'bbbbbbbbbbbbbbb'),
('bbbbbbbbbbbbbbbbbbbb', 'bbbbbbbbbbbbbbb'),
('bbbbbbbbbbbbbbbbbbbb', 'bbbbbbbbbbbbbbb'),
('bbbbbbbbbbbbbbbbbbbb', 'bbbbbbbbbbbbbbb'),
('bbbbbbbbbbbbbbbbbbbb', 'bbbbbbbbbbbbbbb'),
('bbbbbbbbbbbbbbbbbbbb', 'bbbbbbbbbbbbbbb'),
('bbbbbbbbbbbbbbbbbbbb', 'bbbbbbbbbbbbbbb'),
('bbbbbbbbbbbbbbbbbbbb', 'bbbbbbbbbbbbbbb'),
('bbbbbbbbbbbbbbbbbbbb', 'bbbbbbbbbbbbbbb'),
('bbbbbbbbbbbbbbbbbbbb', 'bbbbbbbbbbbbbbb'),
('bbbbbbbbbbbbbbbbbbbb', 'bbbbbbbbbbbbbbb'),
('bbbbbbbbbbbbbbbbbbbb', 'bbbbbbbbbbbbbbb'),
('bbbbbbbbbbbbbbbbbbbb', 'bbbbbbbbbbbbbbb'),
('bbbbbbbbbbbbbbbbbbbb', 'bbbbbbbbbbbbbbb'),
('bbbbbbbbbbbbbbbbbbbb', 'bbbbbbbbbbbbbbb'),
('bbbbbbbbbbbbbbbbbbbb', 'bbbbbbbbbbbbbbb'),
('bbbbbbbbbbbbbbbbbbbb', 'bbbbbbbbbbbbbbb'),
('bbbbbbbbbbbbbbbbbbbb', 'bbbbbbbbbbbbbbb'),
('bbbbbbbbbbbbbbbbbbbb', 'bbbbbbbbbbbbbbb'),
('bbbbbbbbbbbbbbbbbbbb', 'bbbbbbbbbbbbbbb'),
('bbbbbbbbbbbbbbbbbbbb', 'bbbbbbbbbbbbbbb'),
('bbbbbbbbbbbbbbbbbbbb', 'bbbbbbbbbbbbbbb'),
('bbbbbbbbbbbbbbbbbbbb', 'bbbbbbbbbbbbbbb'),
('bbbbbbbbbbbbbbbbbbbb', 'bbbbbbbbbbbbbbb'),
('bbbbbbbbbbbbbbbbbbbb', 'bbbbbbbbbbbbbbb'),
('bbbbbbbbbbbbbbbbbbbb', 'bbbbbbbbbbbbbbb'),
('bbbbbbbbbbbbbbbbbbbb', 'bbbbbbbbbbbbbbb'),
('bbbbbbbbbbbbbbbbbbbb', 'bbbbbbbbbbbbbbb'),
('bbbbbbbbbbbbbbbbbbbb', 'bbbbbbbbbbbbbbb'),
('bbbbbbbbbbbbbbbbbbbb', 'bbbbbbbbbbbbbbb'),
('bbbbbbbbbbbbbbbbbbbb', 'bbbbbbbbbbbbbbb'),
('bbbbbbbbbbbbbbbbbbbb', 'bbbbbbbbbbbbbbb'),
('bbbbbbbbbbbbbbbbbbbb', 'bbbbbbbbbbbbbbb'),
('bbbbbbbbbbbbbbbbbbbb', 'bbbbbbbbbbbbbbb')
END


-- se fizer backup do TLog acontece o truncate?
BACKUP LOG AdventureWorks2012 TO DISK = 'bkplog.trn'
DBCC LOGINFO(AdventureWorks2012)
CHECKPOINT
SELECT name, log_reuse_wait_desc FROM sys.databases WHERE name = 'AdventureWorks2012'

-- Ajustando o tamanho do TLog
USE AdventureWorks2012
GO
DBCC SHRINKFILE (AdventureWorks2012_Log,1)
GO
DBCC LOGINFO(AdventureWorks2012)

